## r-cran-clock 0.6.1

=== DESCRIPTION ===
Package: clock
Title: Date-Time Types and Tools
Version: 0.6.1
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Provides a comprehensive library for date-time manipulations
    using a new family of orthogonal date-time classes (durations, time
    points, zoned-times, and calendars) that partition responsibilities so
    that the complexities of time zones are only considered when they are
    really needed. Capabilities include: date-time parsing, formatting,
    arithmetic, extraction and updating of components, and rounding.
License: MIT + file LICENSE
URL: https://clock.r-lib.org, https://github.com/r-lib/clock
BugReports: https://github.com/r-lib/clock/issues
Depends: R (>= 3.4)
Imports: rlang (>= 1.0.4), tzdb (>= 0.3.0), vctrs (>= 0.4.1)
Suggests: covr, knitr, magrittr, pillar, rmarkdown, testthat (>=
        3.0.0), withr
LinkingTo: cpp11 (>= 0.4.2), tzdb (>= 0.3.0)
VignetteBuilder: knitr
Config/Needs/website: lubridate, tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.0
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2022-07-18 19:07:51 UTC; davis
Author: Davis Vaughan [aut, cre],
  RStudio [cph, fnd]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2022-07-18 19:40:07 UTC

=== debian/changelog ===
r-cran-clock (0.6.1-2) unstable; urgency=medium

  * Ignore two tests on 32bit architectures addressing bug #1028111
    (not really closing the bug but enable the package migrating to
     testing)
  * Standards-Version: 4.6.2 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jan 2023 16:55:18 +0100

r-cran-clock (0.6.1-1) unstable; urgency=medium

  * Initial release (closes: #1024251)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 15:33:42 +0100

=== debian/control ===
Source: r-cran-clock
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rlang (>= 1.0.4),
               r-cran-tzdb,
               r-cran-vctrs (>= 0.4.1),
               r-cran-cpp11 (>= 0.4.2)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
Homepage: https://cran.r-project.org/package=clock
Rules-Requires-Root: no

Package: r-cran-clock
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R date-time types and tools
 Provides a comprehensive library for date-time manipulations
 using a new family of orthogonal date-time classes (durations, time
 points, zoned-times, and calendars) that partition responsibilities so
 that the complexities of time zones are only considered when they are
 really needed. Capabilities include: date-time parsing, formatting,
 arithmetic, extraction and updating of components, and rounding.

## r-cran-clock 0.7.0

=== DESCRIPTION ===
Package: clock
Title: Date-Time Types and Tools
Version: 0.7.0
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Provides a comprehensive library for date-time manipulations
    using a new family of orthogonal date-time classes (durations, time
    points, zoned-times, and calendars) that partition responsibilities so
    that the complexities of time zones are only considered when they are
    really needed. Capabilities include: date-time parsing, formatting,
    arithmetic, extraction and updating of components, and rounding.
License: MIT + file LICENSE
URL: https://clock.r-lib.org, https://github.com/r-lib/clock
BugReports: https://github.com/r-lib/clock/issues
Depends: R (>= 3.5.0)
Imports: cli (>= 3.6.1), lifecycle (>= 1.0.3), rlang (>= 1.1.0), tzdb
        (>= 0.4.0), vctrs (>= 0.6.1)
Suggests: covr, knitr, magrittr, pillar, rmarkdown, slider (>= 0.3.0),
        testthat (>= 3.0.0), withr
LinkingTo: cpp11 (>= 0.4.3), tzdb (>= 0.4.0)
VignetteBuilder: knitr
Config/Needs/website: lubridate, tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-05-15 17:58:13 UTC; davis
Author: Davis Vaughan [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-05-15 19:10:05 UTC

=== debian/changelog ===
r-cran-clock (0.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/tests/run-unit-test: Undo change from 0.6.1-2 which breaks
    tests under 0.7.0, change to (on those architectures) skipping the
    particular test file for now and unblocking a regression which would
    lead to AUTORM of dozens of dependee packages.	(Closes: #1028111)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Aug 2023 09:17:02 -0500

r-cran-clock (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 15:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-clock
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
+Homepage: https://cran.r-project.org/package=clock
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rlang (>= 1.0.4),
-               r-cran-tzdb,
-               r-cran-vctrs (>= 0.4.1),
-               r-cran-cpp11 (>= 0.4.2)
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
-Homepage: https://cran.r-project.org/package=clock
-Rules-Requires-Root: no
+               r-cran-cli (>= 3.6.1),
+               r-cran-lifecycle (>= 1.0.3),
+               r-cran-rlang (>= 1.1.0),
+               r-cran-tzdb (>= 0.4.0),
+               r-cran-vctrs (>= 0.6.1),
+               r-cran-cpp11 (>= 0.4.3)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-clock
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/clock_([-\d.]*)\.tar\.gz

## r-cran-clock 0.7.1

=== debian/changelog ===
r-cran-clock (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 10:05:13 +0900

r-cran-clock (0.7.0-2) unstable; urgency=medium

  * debian/tests/run-unit-test: Undo change from 0.6.1-2 which actually
    breaks (!!) tests under 0.7.0 and change to (on those architectures)
    skipping the particular test file for now. This unblocks a regression
    which would otherwise lead to AUTORM of dozens of dependee packages

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Aug 2023 17:36:01 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
 Homepage: https://cran.r-project.org/package=clock
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-clock 0.7.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: clock
 Title: Date-Time Types and Tools
-Version: 0.7.0
+Version: 0.7.2
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd"))
@@ -14,22 +14,23 @@
 License: MIT + file LICENSE
 URL: https://clock.r-lib.org, https://github.com/r-lib/clock
 BugReports: https://github.com/r-lib/clock/issues
-Depends: R (>= 3.5.0)
+Depends: R (>= 3.6.0)
 Imports: cli (>= 3.6.1), lifecycle (>= 1.0.3), rlang (>= 1.1.0), tzdb
         (>= 0.4.0), vctrs (>= 0.6.1)
 Suggests: covr, knitr, magrittr, pillar, rmarkdown, slider (>= 0.3.0),
         testthat (>= 3.0.0), withr
-LinkingTo: cpp11 (>= 0.4.3), tzdb (>= 0.4.0)
+LinkingTo: cpp11 (>= 0.5.1), tzdb (>= 0.4.0)
 VignetteBuilder: knitr
+Config/build/compilation-database: true
 Config/Needs/website: lubridate, tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-05-15 17:58:13 UTC; davis
+Packaged: 2025-01-21 22:04:46 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Posit Software, PBC [cph, fnd]
 Maintainer: Davis Vaughan <davis@posit.co>
 Repository: CRAN
-Date/Publication: 2023-05-15 19:10:05 UTC
+Date/Publication: 2025-01-21 23:00:02 UTC

=== debian/changelog ===
r-cran-clock (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Feb 2025 08:56:59 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
 Homepage: https://cran.r-project.org/package=clock
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -16,7 +16,7 @@
                r-cran-rlang (>= 1.1.0),
                r-cran-tzdb (>= 0.4.0),
                r-cran-vctrs (>= 0.6.1),
-               r-cran-cpp11 (>= 0.4.3)
+               r-cran-cpp11 (>= 0.5.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-clock

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-pillar,
        r-cran-rmarkdown,
        r-cran-slider (>= 0.3.0),
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr

## r-cran-clock 0.7.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: clock
 Title: Date-Time Types and Tools
-Version: 0.7.2
+Version: 0.7.3
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd"))
@@ -14,12 +14,12 @@
 License: MIT + file LICENSE
 URL: https://clock.r-lib.org, https://github.com/r-lib/clock
 BugReports: https://github.com/r-lib/clock/issues
-Depends: R (>= 3.6.0)
-Imports: cli (>= 3.6.1), lifecycle (>= 1.0.3), rlang (>= 1.1.0), tzdb
-        (>= 0.4.0), vctrs (>= 0.6.1)
-Suggests: covr, knitr, magrittr, pillar, rmarkdown, slider (>= 0.3.0),
+Depends: R (>= 4.0.0)
+Imports: cli (>= 3.6.4), lifecycle (>= 1.0.4), rlang (>= 1.1.5), tzdb
+        (>= 0.5.0), vctrs (>= 0.6.5)
+Suggests: covr, knitr, magrittr, pillar, rmarkdown, slider (>= 0.3.2),
         testthat (>= 3.0.0), withr
-LinkingTo: cpp11 (>= 0.5.1), tzdb (>= 0.4.0)
+LinkingTo: cpp11 (>= 0.5.2), tzdb (>= 0.5.0)
 VignetteBuilder: knitr
 Config/build/compilation-database: true
 Config/Needs/website: lubridate, tidyverse/tidytemplate
@@ -28,9 +28,9 @@
 LazyData: true
 RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2025-01-21 22:04:46 UTC; davis
+Packaged: 2025-03-17 14:40:28 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Posit Software, PBC [cph, fnd]
 Maintainer: Davis Vaughan <davis@posit.co>
 Repository: CRAN
-Date/Publication: 2025-01-21 23:00:02 UTC
+Date/Publication: 2025-03-21 19:00:02 UTC

=== debian/changelog ===
r-cran-clock (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Dec 2025 08:50:08 +0900

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: r-cran-clock
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli (>= 3.6.4),
+               r-cran-lifecycle (>= 1.0.4),
+               r-cran-rlang (>= 1.1.5),
+               r-cran-tzdb (>= 0.5.0),
+               r-cran-vctrs (>= 0.6.5),
+               r-cran-cpp11 (>= 0.5.2),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
 Homepage: https://cran.r-project.org/package=clock
-Standards-Version: 4.7.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-cli (>= 3.6.1),
-               r-cran-lifecycle (>= 1.0.3),
-               r-cran-rlang (>= 1.1.0),
-               r-cran-tzdb (>= 0.4.0),
-               r-cran-vctrs (>= 0.6.1),
-               r-cran-cpp11 (>= 0.5.1)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-clock
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
         r-cran-magrittr,
         r-cran-pillar,
         r-cran-rmarkdown,
-        r-cran-slider (>= 0.3.0),
+        r-cran-slider (>= 0.3.2),
         r-cran-testthat (>= 3.0.0),
         r-cran-withr
 Restrictions: allow-stderr

## r-cran-clock 0.7.4

=== debian/changelog ===
r-cran-clock (0.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Sun, 15 Feb 2026 10:07:28 +0900

=== debian/control ===
Source: r-cran-clock
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clock
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clock.git
Homepage: https://cran.r-project.org/package=clock
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli (>= 3.6.4),
 r-cran-lifecycle (>= 1.0.4),
 r-cran-rlang (>= 1.1.5),
 r-cran-tzdb (>= 0.5.0),
 r-cran-vctrs (>= 0.6.5),
 r-cran-cpp11 (>= 0.5.2),
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-clock
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R date-time types and tools
 Provides a comprehensive library for date-time manipulations
 using a new family of orthogonal date-time classes (durations, time
 points, zoned-times, and calendars) that partition responsibilities so
 that the complexities of time zones are only considered when they are
 really needed. Capabilities include: date-time parsing, formatting,
 arithmetic, extraction and updating of components, and rounding.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-knitr,
 r-cran-magrittr,
 r-cran-pillar,
 r-cran-rmarkdown,
 r-cran-slider (>= 0.3.2),
 r-cran-testthat (>= 3.0.0),
 r-cran-withr,
